PrivateXMLHandler Class Referenceabstract

`#include <privatexmlhandler.h>`

Inheritance diagram for PrivateXMLHandler:
[legend]

## Public Types

enum | PrivateXMLResult { PxmlStoreOk , PxmlStoreError , PxmlRequestError }

## Public Member Functions

virtual | ~PrivateXMLHandler ()
virtual void | handlePrivateXML (const Tag *xml)=0
virtual void | handlePrivateXMLResult (const std::string &uid, PrivateXMLResult pxResult)=0

## Detailed Description

A virtual interface which can be reimplemented to store and receive private XML data.

Derived classes can be registered as PrivateXMLHandlers with the PrivateXML object. Upon an incoming PrivateXML packet handlePrivateXML() will be called.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Definition at line 35 of file privatexmlhandler.h.

## Member Enumeration Documentation

## PrivateXMLResult

enum PrivateXMLResult

Describes the possible results of a 'store' or 'request' operation.

Enumerator
PxmlStoreOk | Storing was successful.
PxmlStoreError | An error occurred while storing data in Private XML.
PxmlRequestError | An error occurred while requesting Private XML.

Definition at line 41 of file privatexmlhandler.h.

## Constructor & Destructor Documentation

## ~PrivateXMLHandler()

virtual ~PrivateXMLHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 51 of file privatexmlhandler.h.

## Member Function Documentation

## handlePrivateXML()

virtual void handlePrivateXML | ( | const Tag * | xml | ) |

pure virtual

Reimplement this function to receive the private XML that was requested earlier using `PrivateXML::requestXML()`.

Parameters

  xml | The private xml, i.e. the first child of the <query> tag. May be 0. You should not delete the object.

Implemented in Annotations, BookmarkStorage, and RosterManager.

## handlePrivateXMLResult()

virtual void handlePrivateXMLResult | ( | const std::string & | uid,
|  | PrivateXMLResult | pxResult )

pure virtual

This function is called to notify about the result of a 'store' or 'request' operation (successful requests are announced by means of handlePrivateXML()).

Parameters

  uid | The ID of the query.
  pxResult | The result of the operation.

Since
  0.7

Implemented in Annotations, BookmarkStorage, and RosterManager.

The documentation for this class was generated from the following file:

- privatexmlhandler.h